// J.P.Abulencia and L.Theodore,Fluid Flow for the Practicing Chemical Engineer. John Wiley & Sons,Inc.,USA, 2009.
// Edition : 1
// Chapter : 15 Compressible and sonic flow 
// Illustrative Example 15.9 Page Number 175
// Title - Reynolds number
//========================================================================
model Ex15_9
//////Parameter section///////////////////////
//============================================  
  parameter Real meu(unit="kg/m.s")=1.74E-5"Viscosity of the fluid";
  parameter Real D(unit="m")=0.085         "Diameter of the pipe";
  parameter Real G(unit="kg/m^2.s")=99.3   "Mass velocity flux";
//============================================= 
///////Variable section///////////////////////////
  Real Re                                  "Reynolds number";
//============================================== 
//Equation Section
equation
  Re=D*G/meu;
end Ex15_9;
//============================================================================
